PT 7.4 and Mac OS 10.5 compatability

Discussion in 'Recording/Live Sound' started by Jeffro, Jan 29, 2008.


  1. Jeffro

    Jeffro Member

    Messages:
    1
    Joined:
    Jan 29, 2008
    Does anyone have a clue when Digidesign will be compliant with the newest Mac OS 10.5? Also, when will they upgrade the PT 7.3 users who bought 003 interfaces to 7.4 for FREE as they advertised? Thanks! Jeffro:dude
     
  2. dognmoon

    dognmoon Supporting Member

    Messages:
    1,655
    Joined:
    Nov 19, 2003
    Location:
    City of Angels
    I talked to a digidesign guy at NAMM and he didn't know either. that leads me to believe it's still a ways off.
     
  3. elambo

    elambo Member

    Messages:
    2,360
    Joined:
    Feb 6, 2005
    I think it's actually pretty close. 7.4cs2 has been working perfectly for me with OS 10.5. I've heard of some others having issues, but none here. My guess is that it's less than two months away from being officially approved.

    If it were coming out next week, I doubt the Digi guy would have said anything.
     
  4. dognmoon

    dognmoon Supporting Member

    Messages:
    1,655
    Joined:
    Nov 19, 2003
    Location:
    City of Angels
    You have it working??? I didn't even load PT after the Leopard install because I thought it was generally incompatible. And I've been sitting on a Joe Meek unit that I've been dying to try.... arrgh.

    And that's a good point about the Digi guy. I wouldn't put it past them to play their cards close to the vest. But he was in the booth where I was working and the conversation was much more casual. He even sounded a little frustrated at the progress between concurrent updates to both Leopard and Vista. I guess I'm just more inclined to believe him since he wasn't in NAMM Booth Mode, if you know what I mean.
     
  5. GaryNattrass

    GaryNattrass Member

    Messages:
    738
    Joined:
    Jan 19, 2002
    Location:
    Lanchester Durham England
    I am also using 7.4 with leopard there was a problem that 7.3 wouldnt work on firewire interfaces with leopard but 7.4 seems to be fine with my 002 and m-box2.
     
  6. elambo

    elambo Member

    Messages:
    2,360
    Joined:
    Feb 6, 2005
    Inclined to believe what? I thought he didn't know anything.
     
  7. elambo

    elambo Member

    Messages:
    2,360
    Joined:
    Feb 6, 2005
    It's "unapproved," not necessarily incompatible.
     
  8. mds

    mds Member

    Messages:
    1,192
    Joined:
    Feb 14, 2006
    Location:
    Los Angeles
    It runs for me on my MBP, but it runs like crap. Lots of CPU spikes, dropouts, etc. Supposedly the is a core audio fix in 10.5.2....for now I've had to resort to using Pro Tools in Boot Camp to be able to run any VSTs, Guitar Rig, etc....very frustrating (my fault, I shouldn't have upgraded)....
     
  9. dognmoon

    dognmoon Supporting Member

    Messages:
    1,655
    Joined:
    Nov 19, 2003
    Location:
    City of Angels

    inclined to believe that it's still a ways off. Inclined to believe his sentiments when he was talking casually about frustrations with upgrading two completely new OS's simultaneously. Inclined to believe that we were having a casual conversation and he wasn't "positioning" or being political.
     
  10. elambo

    elambo Member

    Messages:
    2,360
    Joined:
    Feb 6, 2005
    The above is what gave the impression that he had nothing to say. I see now that he did have comments.

    Only time will tell, but it seems there are people who still have problems so they may be rewriting much of the code.
     

Share This Page